Bug 180056 - system-config-httpd references obsolete module names
system-config-httpd references obsolete module names
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
: Reopened
: 188416 193473 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-05 01:20 EST by Chris Tyler
Modified: 2015-03-04 20:15 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for /usr/share/system-config-httpd/httpd.conf.xsl (4.93 KB, patch)
2006-02-18 22:23 EST, Chris Tyler
no flags Details | Diff

  None (edit)
Description Chris Tyler 2006-02-05 01:20:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
system-config-httpd needs to be updated for compatibility with Apache 2.2 for FC5 -- many of the LoadModules and includes in the generated httpd.conf file fail when used with httpd-2.2.0-5.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start httpd-config-httpd on FC5T2 or later Rawhide.
2. Enter a server name and click OK (and OK on subsequent dialogs).
3. Restart Apache.

Actual Results:  Apache does not start due to errors in the configuration file.

Expected Results:  Apache should have started with the specified configuration.

Additional info:

Tested on FC5T2 and Rawhide 2006-02-04 and compared with FC4 and with the httpd.conf supplied in the httpd- package. Sample error message when starting Apache with a configuration file generaated by system-config-httpd:

httpd: Syntax error on line 170 of /etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_access.so into server: /etc/httpd/modules/mod_access.so: cannot open shared object file: No such file or directory
Comment 1 Chris Tyler 2006-02-18 22:23:28 EST
Created attachment 124857 [details]
Patch for /usr/share/system-config-httpd/httpd.conf.xsl

This patch updates the LoadModule directives in httpd.conf.xsl for
compatability with Apache 2.2 (FC5)
Comment 2 Phil Knirsch 2006-03-06 12:35:16 EST
Thanks for the updated module list, i'll include it in the next build of s-c-h.

Read ya, Phil
Comment 3 Michael Paine 2006-03-31 02:01:16 EST
(In reply to comment #2)
> Thanks for the updated module list, i'll include it in the next build of s-c-
> Read ya, Phil

I ran patch /usr/share/system-config-httpd/httpd.conf.xsl attachment.cgi and I 
still receive the same error.

Comment 4 Michael Paine 2006-03-31 03:51:50 EST
I figured out the problem: SELinux.  I had to turn on "Allow HTTPD scripts and 
modules to connect to the network."  Is this a kludge or would this be 
Comment 5 Phil Knirsch 2006-04-03 11:23:44 EDT
Ah, thats actually expected behaviour. By default with SELinux enabled your
system won't allow CGI scripts to be executed as they might pose a security risk.

So this is the correct way to "fix" this.

Read ya, Phil
Comment 6 Ignacio Vazquez-Abrams 2006-04-09 07:48:05 EDT
*** Bug 188416 has been marked as a duplicate of this bug. ***
Comment 7 Andy Burns 2006-04-09 08:00:06 EDT
Ok, I did search for any open bugs on s-c-httpd before adding #188416, but
obviously this one had been closed, why was it closed as NOTABUG though?
Comment 8 denny antonino 2006-04-11 09:11:06 EDT
How exactly do I run this patch?
Comment 9 Chris Tyler 2006-04-11 09:24:05 EDT
Apply it with:

cd /usr/share/system-config-httpd
patch </wherever/system-config-httpd.patch
Comment 10 Marcus 2006-04-16 02:53:10 EDT
I am new to linux and do not know how to apply this patch. I have logged into 
the gui, copied the text from the attachment for the patch and saved it as 
system-config-httpd.patch in the directory /usr/share/system-config-httpd. 

Then I followed the directions above from a shell...
"cd /usr/share/system-config-httpd
patch /usr/share/system-config-httpd/system-config-httpd.patch"
The prompt just sits there and flashes.

I re-read the instructions and then at the shell I 
typed "patch /usr/share/system-config-httpd system-config-httpd.patch" and 
this time it gave me the message "Patch unexpectedly ended in the middle of 
the patch line: *** Only garbage was found in the patch input."

I am not sure I am saving the patch like I need to. I am just copying it and 
saving it as the filename.patch. Any ideas what I am doing wrong? Any help 
would really be appreciated. Thank you. 

Kind regards, 

Comment 11 Osvaldo Albuquerque 2006-04-19 10:44:12 EDT
This patch or the way to do don't works. How can i run my httpd without problems_
Comment 12 Carlos Alfaro 2006-04-25 14:05:53 EDT
I followed the instructions here and this is the output I get when patching the
patch system-config-httpd system-config-httpd.patch
patching file system-config-httpd
Hunk #1 FAILED at 157.
Hunk #2 FAILED at 208.
2 out of 2 hunks FAILED -- saving rejects to file system-config-httpd.rej
[root@newyork2 system-config-httpd]#

any ideas how to fix this?
Thank in advanced
Comment 13 David McKellar 2006-04-26 07:30:35 EDT
Could somebody please post the entire
/usr/share/system-config-httpd/httpd.conf.xsl file.
Comment 14 Andrea V. 2006-05-28 14:23:23 EDT
It appears to me that this bug is still present into the
system-config-httpd.noarch 5:1.3.3-1.1 for distributed from the core repository
of Fedora core 5. I tried the patch and it works but I added this comment in
order to warn developers about that (I don't know if I did the right thing but
hope it is useful to someone).

Thanks... (Sorry if there is something wrong but I'm also new to linux)

Comment 15 Andrea V. 2006-06-18 16:41:19 EDT
*** Bug 193473 has been marked as a duplicate of this bug. ***
Comment 16 Alex Fitzhugh 2006-06-25 03:58:59 EDT
Seeing as some people seem to have problems, I will reproduce what has just
worked for me.

1) download file "system-config-httpd.patch" from message #1 above. You can save
it anywhere on your system. (the text below assumes "/var/tmp/")

2) run "system-config-security-level". Choose "SELinux" tab and "Modify SELinux
Policy" drop-down. Expand the "HTTPD Service" group. Enable "Allow HTTPD scripts
and modules to connect to the network."

3) "cd /usr/share/system-config-httpd"

4) "patch </var/tmp/system-config-httpd.patch". shell will respond with
"patching file httpd.conf.xsl" and then return to a command prompt.

5) run "system-config-httpd". If you have previously setup your required options
you can just click "ok" and then say yes to "save and exit".

6) restart the httpd with "apachectl restart". You should not get any error
messages at this stage!

7) open a web browser and point it at "localhost". You should see a blue banner
saying "Fedora Core Test Page". If you see a "server not responding" page,
something has gone wrong. Look for error messages to the above steps.

8) run "system-config-security-level". Choose "SELinux" tab and "Modify SELinux
Policy" drop-down. Expand the "HTTPD Service" group. Disable "Allow HTTPD
scripts and modules to connect to the network." (I'm just assuming that it is
best to set this back to it's default state - I presume there are possible
security holes if you leave it enabled).

If anyone still can't get it to work, i'm afraid I can't help you further as I
too am pretty new to linux.

Comment 17 Need Real Name 2006-11-07 11:44:21 EST
Still doesn't work in FC6.
Wasted MANY HOURS before I found this bug only to see it called "NOT A BUG".

Clearly the standard released version of system-config-httpd creates an
httpd.conf file that is INCOMPATIBLE with the standard apache server released in
the same FC6 distribution.

The apache service fails to load completely. The fix requires a manual patch.
If that is "not a bug", then I obviously need to relearn the meaning of bug. Is
it a feature????
Comment 18 Phil Knirsch 2006-11-07 11:52:11 EST
I've been working on a bigger update for s-c-h which didn't make it into FC6

I hope to finish it this week (still need to figure out a way to make SSL
configurations work properly again).

I'll definitely make an update version for FC6 and maybe FC5 (if i get the time
to do it).

Sorry for the long delay for an update here.

Read ya, Phil
Comment 19 Need Real Name 2006-11-07 15:33:09 EST
Appreciate both the bug fix and any other new updates.

One question though... why didn't at least the patch make it into FC6 (or even
FC5 updates since the bug and its solution have been known for about 9 months --
since even before FC5 was released.

I would have thought that MANY others would have had the same problem since
setting up an apache webserver is pretty common.

Not trying to knock anybody personally here, but just was more curious about how
the whole bugzilla bug tracking and FC beta testing/release processes work and
why this wouldn't have been caught and at least patched if not fixed.
Comment 20 Phil Knirsch 2006-11-08 04:23:43 EST
The problem is that the proposed patch doesn't really fix the problem. The
problem actually came from the fact that s-c-h completely overwrites the
original httpd.conf using a XSLT template that might or might not be in sync
with the one we're shipping with the httpd package.

So patching it once might work for some time, but as soon as a newer httpd
package comes out where various incompatible default config changes have been
done we'd run into the same problem over and over again.

So the final solution (which i've been pondering to do for a long time) is to
let s-c-h create/modify a own config file in 


That way i can leave out all the things that you can't configure with s-c-h and
leave the default settings to the original httpd.conf file from the httpd package.

By doing that the only thing i need to worry about is if the syntax of
configuration options that s-c-h deals with change. But i'd need to do that in
any case.

Hope this clears it a little up.

Read ya, Phil
Comment 21 Need Real Name 2006-11-08 11:55:16 EST
Yes it does. And in fact, I really encourage you to do it the "right" way that
you propose. The fact that s-c-h overwrites httpd.conf has always been annoying
since there are some things that are easiest done via s-c-h and others which are
either easier or only possible via manual editing.

The only way I have resolved that conflict in the past is to use s-c-h the first
time up and then switch to manual editing (and knowing/remembering that I can
never go back to s-c-h if I want to preserve the manual edits).

So go for it!!!!
(Any idea when you might have the project completed??)
Comment 22 Phil Knirsch 2006-11-09 08:41:33 EST
The subconfig file part is already finished together with several other
bugfixes. Unfortunately (or luckily) i've stumbled across a problem when
configuring HTTPS with s-c-h and haven't found a always working and good
solution for it.

I hope to get this done today or tomorrow though, so baring any other unknowns a
new version should hit rawhide sometime early next week.

Read ya, Phil
Comment 23 Phil Knirsch 2006-11-20 04:56:04 EST
Last week i've released system-config-httpd-1.4.1 for FC5, FC6 as testing and
put it in FC-devel as well.

Please give it a shot and let me know if this is working for you now.


Read ya, Phil
Comment 24 Chris Tyler 2006-11-20 12:19:32 EST
(In reply to comment #23)
> Please give it a shot and let me know if this is working for you now.

Will test this out overnight.
Comment 25 Bug Zapper 2008-04-03 12:55:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 26 Bug Zapper 2008-05-06 20:21:15 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.